org.apache.ignite.internal.processors.cache.persistence.wal

## Class FileWALPointer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.FileWALPointer

All Implemented Interfaces:
  Serializable, Comparable<FileWALPointer>, WALPointer

    public class FileWALPointer
    extends Object
    implements WALPointer, Comparable<FileWALPointer>

File WAL pointer.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `POINTER_SIZE` Pointer serialized size.

### Constructor Summary

Constructors
Constructor and Description
`FileWALPointer(long idx, int fileOff, int len)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(FileWALPointer o)`
`boolean` `equals(Object o)`
`int` `fileOffset()`
`int` `hashCode()`
`long` `index()`
`int` `length()`
`void` `length(int len)`
`WALPointer` `next()` Pointer to the next record.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### POINTER_SIZE

    public static final int POINTER_SIZE

Pointer serialized size.

See Also:
  Constant Field Values

### Constructor Detail

#### FileWALPointer

    public FileWALPointer(long idx,
                          int fileOff,
                          int len)

Parameters:
  `idx` - Absolute WAL segment file index (incremental counter).
  `fileOff` - Offset in file, from the beginning.
  `len` - Record length.

### Method Detail

#### index

    public long index()

Returns:
  Absolute WAL segment file index .

#### fileOffset

    public int fileOffset()

Returns:
  File offset.

#### length

    public int length()

Returns:
  Record length.

#### length

    public void length(int len)

Parameters:
  `len` - Record length.

#### next

    public WALPointer next()

Pointer to the next record. Can be used only for original pointers obtained from WAL manager.

Specified by:
  `next` in interface `WALPointer`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo(@NotNull
                         FileWALPointer o)

Specified by:
  `compareTo` in interface `Comparable<FileWALPointer>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019